Package org.apache.sysds.runtime.controlprogram.caching

# Class CacheMaintenanceService

java.lang.Object
org.apache.sysds.runtime.controlprogram.caching.CacheMaintenanceService

public class CacheMaintenanceService extends Object

## Constructor Summary

Constructors
Constructor
Description
`CacheMaintenanceService()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`deleteFile(String fname)`
`boolean`
`isAsync()`
`void`
`serializeData(ByteBuffer bbuff, CacheBlock<?> cb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CacheMaintenanceService

public CacheMaintenanceService()

## Method Details

### deleteFile

public void deleteFile(String fname)

### serializeData

public void serializeData(ByteBuffer bbuff, CacheBlock<?> cb)

### close

public void close()

### isAsync

public boolean isAsync()